Skip to main content
GET
/
v3
/
postcode-lookups
/
{postcode}
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/postcode-lookups/{postcode} \
  --header 'X-Session-Token: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {
        "address": {
          "description": "<string>",
          "department": "<string>",
          "organisation": "<string>",
          "number": "<string>",
          "name": "<string>",
          "thoroughfare": "<string>",
          "dependent_thoroughfare": "<string>",
          "post_town": "<string>",
          "postcode": "<string>",
          "po_box": "<string>",
          "country": "<string>"
        },
        "uprn": 123,
        "formatted": "<string>",
        "coordinates": {
          "latitude": 123,
          "longitude": 123
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "counts": {
        "pages": 123,
        "resources": 123
      },
      "current_page": 123,
      "offsets": {
        "next": 123,
        "previous": 123
      },
      "requested": {
        "limit": 123,
        "offset": 123
      }
    },
    "features": {
      "include": {
        "options": [
          "<string>"
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  }
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

postcode
string
required

The postcode to search for.

Required string length: 5 - 8

Response

Get postcode lookup results.

JSON API response object

data
A list of postcode lookup results · object[]
required
meta
object
required
jsonapi
object
required